Subject: [LON-CAPA-dev] Construction Space menu functions with CVS head

From: Stefan Bisitz <[email-masked]>
Date: Wed, 27 May 2009 12:32:44 +0200

Hi LON-CAPA developers,

Please note that CVS head currently doesn't offer full menu
functionality in the Construction Space, e.g. click on "Prepare a
printable document' produces a JavaScript error.

This is caused by the currently double occurrence of the Construction
Space header. Once the title_bar (this big colorful bar at the top of
the screen) is removed, this will automatically work again. It shouldn't
and hence isn't removed at the moment, because this would mean that some
functions in CSTR aren't available anymore on some pages. After having
finished the needed changes, title_bar will disappear and everything is
fine again.

In the meantime you could change loncommon.pm and delete the code in sub
bodytag which generates the title_bar.

This appears to be the best intermediate solution. Hope you understand.

Thanks,
Stefan Bisitz